Skip to main content
`Ctrl`+`K`

# petersen_graph

petersen_graph(create_using=None)

  Returns the Petersen graph.

  The Peterson graph is a cubic, undirected graph with 10 nodes and 15 edges [1]. Julius Petersen constructed the graph as the smallest counterexample against the claim that a connected bridgeless cubic graph has an edge colouring with three colours [2].

  Parameters:
    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G networkx Graph

      Petersen graph

  References

  [1]

  https://en.wikipedia.org/wiki/Petersen_graph

  [2]

  https://www.win.tue.nl/~aeb/drg/graphs/Petersen.html